#include<bits/stdc++.h>
using namespace std;
string s,a,b;
int n,m;
int main(){
    cin>>s>>n>>m;
    a=s[0];
    b=s[1];
    if(n==m){
      for(int i=1;i<=n;i++){
        cout<<a<<b;
      }
    }
    else if(n==m+1){
      for(int i=1;i<=m;i++){
        cout<<a<<b;
      }
      cout<<a;
    }
    else if(m==n+1){
      for(int i=1;i<=n;i++){
        cout<<b<<a;
      }
      cout<<b;
    }
    else{
      cout<<"nemoguce";
    }
    cout<<endl;
    return 0;
}